<?php
/*------------------------------------------------------------------------
# productadvisor.php - Product advisor Component
# ------------------------------------------------------------------------
# author    Matthias Drobny, drobny.iT
# copyright Copyright (C) 2014. All Rights Reserved
# license   GNU/GPL Version 2 or later - http://www.gnu.org/licenses/gpl-2.0.html
# website   www.drobny.it
-------------------------------------------------------------------------*/

// No direct access to this file
defined('_JEXEC') or die('Restricted access');

// Access check.
if (!JFactory::getUser()->authorise('core.manage', 'com_productadvisor')){
	return JError::raiseWarning(404, JText::_('JERROR_ALERTNOAUTHOR'));
};

// require helper files
JLoader::register('ProductadvisorHelper', dirname(__FILE__) . DS . 'helpers' . DS . 'productadvisor.php');
JLoader::register('ProductadvisorCategoryHelper', dirname(__FILE__) . DS . 'helpers' . DS . 'category.php');
JLoader::register('LegendHelper', dirname(__FILE__) . DS . 'helpers' . DS . 'legend.php');
// JLoader::register('ProductadvisorCategories', dirname(__FILE__) . DS . 'helpers' . DS . 'category.php');

// import joomla controller library
jimport('joomla.application.component.controller');

// Add CSS file for all pages
$document = JFactory::getDocument();
$document->addStyleSheet('components/com_productadvisor/assets/css/productadvisor.css');
$document->addScript('components/com_productadvisor/assets/js/productadvisor.js');

// Get an instance of the controller prefixed by Productadvisor
$controller = JController::getInstance('Productadvisor');

// Perform the Request task
$controller->execute(JRequest::getCmd('task'));

// Redirect if set by the controller
$controller->redirect();

?>